
%global meadversion 1.3.0
%global namedversion 1.3.0.Final-redhat-2
%global meadalpha .Final_redhat_2
%global meadrel .1
%global serial 5

%bcond_without mead
%bcond_with javadoc

%global mavengroup org.jboss.osgi.deployment
%global artifact0 jbosgi-deployment

%global title JBossOSGi Deployment

%define maven_version 1.3.0.Final-redhat-2

Name:           jbosgi-deployment
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
License:        LGPLv2+
Summary:        %{title}
Group:          Development/Java

%if %with mead
Source100: jbosgi-deployment-1.3.0.Final-redhat-2-scm-sources.zip
Source102: jbosgi-deployment-1.3.0.Final-redhat-2-project-sources.tar.gz
Source103: jbosgi-deployment-1.3.0.Final-redhat-2-sources.jar
Source104: jbosgi-deployment-1.3.0.Final-redhat-2-javadoc.jar
Source105: jbosgi-deployment-1.3.0.Final-redhat-2.jar
Source106: jbosgi-deployment-1.3.0.Final-redhat-2.pom
%endif

URL:            http://github.com/jbosgi/jbosgi-deployment
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
#Requires:      jboss-parent >= 0:14.0.0
BuildRequires:  jboss-parent >= 0:14.0.0
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The JBoss OSGi deployment support.

%if %with javadoc
%package javadoc
Summary:  Javadoc for %{title}
Group:    Development/Documentation

Requires: jpackage-utils

%description javadoc
API documentation for %{title}.
%endif

%prep
%setup -q -n %{artifact0} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{artifact0}-%{namedversion}.jar %{buildroot}%{_javadir}/%{artifact0}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{artifact0}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{artifact0}-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{artifact0}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact0}.pom

# depmaps
%add_to_maven_depmap %{mavengroup} %{artifact0} %{namedversion} JPP %{artifact0}

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%{_bindir}/unzip -qq %{_sourcedir}/%{artifact0}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion} -x META-INF/\*
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}
%endif

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}/*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{mavenversion}
%{_javadocdir}/%{name}
%endif

%changelog
* Fri Feb 06 2015 David Walluck <dwalluck@redhat.com> - 1.3.0-5.Final_redhat_2.1
- add license

* Fri Feb 06 2015 David Walluck <dwalluck@redhat.com> - 1.3.0-4.Final_redhat_2.1
- remove Requires: jboss-parent

* Thu Dec 18 2014 Lukas Kubik <lkubik@redhat.com> - 1.3.0-3.Final_redhat_2.1
- Use jboss-osgi-parent in version 1.0.15.redhat-3
  (use OSGi-compatible version string)
- Update dependency management for eap 6.4.0

* Wed Mar 20 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.3.0-2.Final_redhat_1
- Upgrade to 1.3.0.Final

* Sun Feb 17 2013 Lin Gao <lgao@redhat.com> - 0:1.3.0-1.CR1_redhat_1
- Upgrade to 1.3.0.CR1
- Add javadoc package
- Fix default attributes in files list

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1.0-2.Final_redhat_3.3
- Rebuild for MD5

* Thu Sep 13 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.1.0-1.Final_redhat_3.3
- Fix dependency management to eap 6.0.1 boms

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1.0-1.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1.0-1.Final_redhat_1.1
- Rebuild using cache signing

* Wed May 02 2012 Lin Gao <lgao@redhat.com> - 0:1.1.0-1.Final_redhat_1
- Upgrade to 1.1.0.Final

* Tue Mar 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.12.Final-2_redhat_1.2
- Populate java-signed

* Tue Mar 13 2012 Lin Gao <lgao@redhat.com> - 0:1.0.12.Final-2_redhat_1.1
- Rebuild to change jars install path

* Fri Mar 02 2012 Lin Gao <lgao@redhat.com> - 0:1.0.12.Final-1_redhat_1.2
- Upgrade to 1.0.12.Final

* Fri Feb 10 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.10-1_redhat_1.2
- Rebuild

* Wed Sep 14 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.10-1_redhat_1
- Build for Werewolf
